summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorBartek Grzybowski <b.grzybowski@partner.samsung.com>2020-10-29 15:31:12 +0100
committerBartek Grzybowski <b.grzybowski@partner.samsung.com>2020-10-30 08:28:11 +0000
commit27e6584f8563f461e5f8d8dfc47635ef4039803e (patch)
treedacbb79c777d68d89c9c060ac7ca0a78727322be /build
parent524ed121cb91ae0d1cdfe3282609c9bf1588cda7 (diff)
Fail the entrypoint script on any command failure
Most importantly this will allowing propagating the failure to the wrapper script. Change-Id: I3f419f588e0f0fb5b459fa1d8e8d520b9f5c78d5 Issue-ID: OOM-2615 Signed-off-by: Bartek Grzybowski <b.grzybowski@partner.samsung.com>
Diffstat (limited to 'build')
-rwxr-xr-xbuild/docker-entrypoint.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/build/docker-entrypoint.sh b/build/docker-entrypoint.sh
index b597dab4..7d5f5b2d 100755
--- a/build/docker-entrypoint.sh
+++ b/build/docker-entrypoint.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -eo pipefail
+
# Set distribution family
distro_type=$(cat /etc/*-release | grep -w "ID" | awk -F'=' '{ print $2 }' | tr -d '"')
case "$distro_type" in
@@ -45,7 +47,6 @@ EOF
}
# Getting input parameters
-POSITIONAL=()
if [[ $# -eq 0 ]] ; then
help # show help
exit 0